TAP-PARSER(1)

NAME
tap-parser - Test-Anything-Protocol parser for Node.js

DESCRIPTION

  Usage:

    tap-parser <options>

Parses TAP data from stdin, and outputs the parsed result in the format specified by the options. Default output uses node's `util.inspect()` method.

OPTIONS

-j [<indent>] | --json[=indent]

    Output event data as JSON with the specified indentation (default=2)

-t | --tap

    Output data as reconstituted TAP based on parsed results

-l | --lines

    Output each parsed line as it is recognized by the parser

-b | --bail

    Emit a `Bail out!` at the first failed test point encountered

-B | --no-bail

    Do not bail out at the first failed test point encountered (Default)

-f | --flat

    Flatten all assertions to the top level parser

-F | --no-flat

    Do not flatten all assertions to the top level parser (Default)

-w | --ignore-all-whitespace

    Skip over blank lines outside of YAML blocks

-o | --omit-version

    Ignore the `TAP version 13` or `TAP version 14` line at the start of tests

--strict

    Run the parser in strict mode

--no-strict

    Do not run the parser in strict mode

-s | --silent

    Do not print output, just exit success/failure based on TAP stream